Bug 76576 - The redhatready driver program creates results.package file when cdromtest faiils
The redhatready driver program creates results.package file when cdromtest fa...
Status: CLOSED NOTABUG
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: other (Show other bugs)
1.7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Kloiber
Chris Kloiber
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-23 12:21 EDT by Glen A. Foster
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-23 12:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2002-10-23 12:21:28 EDT
Description of Problem: SSIA,  In testing the HPzx1 products, I saw I/O errors
from md5sum during the CDROM test script.  The test itself was marked clearly in
_red_ and said "FAILED" yet the overall driver script "redhatready" created a
results.package file.  The really strange thing is that I saw this on a Longs
Peak (the SCSI-based system with only CDROM being the _only_ IDE device).

There's no way certification tests would pass with failing information, so it
seems the creation of /redhatready/results.package is a mistake.

Version-Release number of selected component (if applicable):
# rpm -q rhr-core rhr-interact rhr-auto
rhr-core-1.8-1
rhr-interact-1.8-1
rhr-auto-1.8-1

How Reproducible: uncertain, saw it once and reported it

Steps to Reproduce: here's a scenario where you might reproduce it
1. Use a patched md5sum that can optionally behave as if it received an I/O
error from a read() or write()
2. Run the CDROM tests with the instrumented md5sum binary set to fail 4-5 times
during a test run
3. Observe /redhatready/results.package exists -- yet the tests should report
failure on the console

Actual Results: Mixed messages (Failed but created results.package) about the
status of the tests

Expected Results: Consistent messages - create results.package only if all tests
run PASS

Additional Information: This is the version 1.8 tests recently posted on the
website -- bugzilla doesn't offer version 1.8 as a choice yet...
Comment 1 Chris Kloiber 2002-11-03 14:49:45 EST
The creation of the results.package is not an indication that all tests have
passed. It is created at the end of the test run in all circumstances. It is up
to the reviewer to determine pass/fail status. This is not considered a bug.

Note You need to log in before you can comment on or make changes to this bug.